SDL_BWin.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL.h"`
`#include "SDL_syswm.h"`
`#include "SDL_bframebuffer.h"`
`#include <stdio.h>`
`#include <AppKit.h>`
`#include <InterfaceKit.h>`
`#include <game/DirectWindow.h>`
`#include "SDL_events.h"`
`#include "../../main/haiku/SDL_BApp.h"`
Include dependency graph for SDL_BWin.h:

Go to the source code of this file.

## Data Structures

class | SDL_BWin

## Enumerations

enum | WinCommands { BWIN_MOVE_WINDOW, BWIN_RESIZE_WINDOW, BWIN_SHOW_WINDOW, BWIN_HIDE_WINDOW, BWIN_MAXIMIZE_WINDOW, BWIN_MINIMIZE_WINDOW, BWIN_RESTORE_WINDOW, BWIN_SET_TITLE, BWIN_SET_BORDERED, BWIN_SET_RESIZABLE, BWIN_FULLSCREEN }

## Enumeration Type Documentation

## WinCommands

enum WinCommands

Enumerator
BWIN_MOVE_WINDOW |
BWIN_RESIZE_WINDOW |
BWIN_SHOW_WINDOW |
BWIN_HIDE_WINDOW |
BWIN_MAXIMIZE_WINDOW |
BWIN_MINIMIZE_WINDOW |
BWIN_RESTORE_WINDOW |
BWIN_SET_TITLE |
BWIN_SET_BORDERED |
BWIN_SET_RESIZABLE |
BWIN_FULLSCREEN |

Definition at line 49 of file SDL_BWin.h.

{
BWIN_MOVE_WINDOW,
BWIN_RESIZE_WINDOW,
BWIN_SHOW_WINDOW,
BWIN_HIDE_WINDOW,
BWIN_MAXIMIZE_WINDOW,
BWIN_MINIMIZE_WINDOW,
BWIN_RESTORE_WINDOW,
BWIN_SET_TITLE,
BWIN_SET_BORDERED,
BWIN_SET_RESIZABLE,
BWIN_FULLSCREEN
};
BWIN_RESIZE_WINDOW
@ BWIN_RESIZE_WINDOW
Definition: SDL_BWin.h:51
BWIN_HIDE_WINDOW
@ BWIN_HIDE_WINDOW
Definition: SDL_BWin.h:53
BWIN_MINIMIZE_WINDOW
@ BWIN_MINIMIZE_WINDOW
Definition: SDL_BWin.h:55
BWIN_SET_RESIZABLE
@ BWIN_SET_RESIZABLE
Definition: SDL_BWin.h:59
BWIN_SET_BORDERED
@ BWIN_SET_BORDERED
Definition: SDL_BWin.h:58
BWIN_SET_TITLE
@ BWIN_SET_TITLE
Definition: SDL_BWin.h:57
BWIN_SHOW_WINDOW
@ BWIN_SHOW_WINDOW
Definition: SDL_BWin.h:52
BWIN_MOVE_WINDOW
@ BWIN_MOVE_WINDOW
Definition: SDL_BWin.h:50
BWIN_FULLSCREEN
@ BWIN_FULLSCREEN
Definition: SDL_BWin.h:60
BWIN_RESTORE_WINDOW
@ BWIN_RESTORE_WINDOW
Definition: SDL_BWin.h:56
BWIN_MAXIMIZE_WINDOW
@ BWIN_MAXIMIZE_WINDOW
Definition: SDL_BWin.h:54